Debian Bug report logs - #629486
alsa-oss: please add armhf support

version graph

Package: alsa-oss; Maintainer for alsa-oss is Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>; Source for alsa-oss is src:alsa-oss.

Reported by: Konstantinos Margaritis <markos@genesi-usa.com>

Date: Tue, 7 Jun 2011 01:15:01 UTC

Severity: normal

Found in version alsa-oss/1.0.17-4

Fixed in version alsa-oss/1.0.17-5

Done: Jordi Mallach <jordi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#629486; Package alsa-oss. (Tue, 07 Jun 2011 01:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Konstantinos Margaritis <markos@genesi-usa.com>:
New Bug report received and forwarded. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. (Tue, 07 Jun 2011 01:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Konstantinos Margaritis <markos@genesi-usa.com>
To: submit@bugs.debian.org
Subject: alsa-oss: please add armhf support
Date: Tue, 7 Jun 2011 04:13:09 +0300
Package: alsa-oss
Version: 1.0.17-4
Severity: normal

At the recent bug reporting for armhf on alsa packages I forgot to
submit a bug on alsa-oss. Could you please add armhf support on
alsa-oss as well?

Thanks

Konstantinos




Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#629486; Package alsa-oss. (Tue, 07 Jun 2011 18:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Elimar Riesebieter <riesebie@lxtec.de>:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. (Tue, 07 Jun 2011 18:33:03 GMT) Full text and rfc822 format available.

Message #10 received at 629486@bugs.debian.org (full text, mbox):

From: Elimar Riesebieter <riesebie@lxtec.de>
To: Konstantinos Margaritis <markos@genesi-usa.com>, 629486@bugs.debian.org
Cc: control@bugs.debian.org, Jordi Mallach <jordi@debian.org>
Subject: Re: [Pkg-alsa-devel] Bug#629486: alsa-oss: please add armhf support
Date: Tue, 7 Jun 2011 20:31:42 +0200
tags 629486 +pending
thanks

* Konstantinos Margaritis [110607 04:13 +0300]:

> Package: alsa-oss
> Version: 1.0.17-4
> Severity: normal
> 
> At the recent bug reporting for armhf on alsa packages I forgot to
> submit a bug on alsa-oss. Could you please add armhf support on
> alsa-oss as well?

It's pending.
Elimar

-- 
  On the keyboard of life you have always
  to keep a finger at the escape key;-)




Added tag(s) pending. Request was from Elimar Riesebieter <riesebie@lxtec.de> to control@bugs.debian.org. (Tue, 07 Jun 2011 18:33:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#629486; Package alsa-oss. (Wed, 08 Jun 2011 17:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Konstantinos Margaritis <markos@genesi-usa.com>:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. (Wed, 08 Jun 2011 17:30:03 GMT) Full text and rfc822 format available.

Message #17 received at 629486@bugs.debian.org (full text, mbox):

From: Konstantinos Margaritis <markos@genesi-usa.com>
To: 629486@bugs.debian.org, control@bugs.debian.org
Subject: PATCH to fix FTBFS error
Date: Wed, 8 Jun 2011 20:28:17 +0300
[Message part 1 (text/plain, inline)]
tags 629486 patch
thanks

The attached patch fixes the build error. Basically Boost 1.46 changed
the API for the Filesystem module, as can be seen here:

http://www.boost.org/doc/libs/1_46_1/libs/filesystem/v3/doc/deprecated.html

The patch allows the build to succeed on both Filesystem API versions.

Regards

Konstantinos
[xsd_boost1.46.patch (text/x-diff, attachment)]

Added tag(s) patch. Request was from Konstantinos Margaritis <markos@genesi-usa.com> to control@bugs.debian.org. (Wed, 08 Jun 2011 17:30:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#629486; Package alsa-oss. (Wed, 08 Jun 2011 19:24:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Konstantinos Margaritis <markos@genesi-usa.com>:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. (Wed, 08 Jun 2011 19:24:08 GMT) Full text and rfc822 format available.

Message #24 received at 629486@bugs.debian.org (full text, mbox):

From: Konstantinos Margaritis <markos@genesi-usa.com>
To: 629486@bugs.debian.org, control@bugs.debian.org, 624942@bugs.debian.org
Subject: Re: PATCH to fix FTBFS error
Date: Wed, 8 Jun 2011 22:20:27 +0300
tags 624942 patch
tags 629486 -patch
thanks

Oops, sorry patch sent to the wrong bug number.

My apologies.

Konstantinos

On 8 June 2011 20:28, Konstantinos Margaritis <markos@genesi-usa.com> wrote:
> tags 629486 patch
> thanks
>
> The attached patch fixes the build error. Basically Boost 1.46 changed
> the API for the Filesystem module, as can be seen here:
>
> http://www.boost.org/doc/libs/1_46_1/libs/filesystem/v3/doc/deprecated.html
>
> The patch allows the build to succeed on both Filesystem API versions.
>
> Regards
>
> Konstantinos
>




Removed tag(s) patch. Request was from Konstantinos Margaritis <markos@genesi-usa.com> to control@bugs.debian.org. (Wed, 08 Jun 2011 19:24:10 GMT) Full text and rfc822 format available.

Reply sent to Jordi Mallach <jordi@debian.org>:
You have taken responsibility. (Thu, 09 Jun 2011 01:03:07 GMT) Full text and rfc822 format available.

Notification sent to Konstantinos Margaritis <markos@genesi-usa.com>:
Bug acknowledged by developer. (Thu, 09 Jun 2011 01:03:07 GMT) Full text and rfc822 format available.

Message #31 received at 629486-close@bugs.debian.org (full text, mbox):

From: Jordi Mallach <jordi@debian.org>
To: 629486-close@bugs.debian.org
Subject: Bug#629486: fixed in alsa-oss 1.0.17-5
Date: Thu, 09 Jun 2011 01:02:09 +0000
Source: alsa-oss
Source-Version: 1.0.17-5

We believe that the bug you reported is fixed in the latest version of
alsa-oss, which is due to be installed in the Debian FTP archive:

alsa-oss_1.0.17-5.debian.tar.gz
  to main/a/alsa-oss/alsa-oss_1.0.17-5.debian.tar.gz
alsa-oss_1.0.17-5.dsc
  to main/a/alsa-oss/alsa-oss_1.0.17-5.dsc
alsa-oss_1.0.17-5_amd64.deb
  to main/a/alsa-oss/alsa-oss_1.0.17-5_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 629486@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jordi Mallach <jordi@debian.org> (supplier of updated alsa-oss package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 09 Jun 2011 02:32:00 +0200
Source: alsa-oss
Binary: alsa-oss
Architecture: source amd64
Version: 1.0.17-5
Distribution: unstable
Urgency: low
Maintainer: Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>
Changed-By: Jordi Mallach <jordi@debian.org>
Description: 
 alsa-oss   - ALSA wrapper for OSS applications
Closes: 629486
Changes: 
 alsa-oss (1.0.17-5) unstable; urgency=low
 .
   * Switch to architecture wildcard 'linux-any' which incudes armhf
     (closes: #629486).
   * Remove old ALSA url from long description and replace with the new one
     in the copyright file.
   * Point to non-symlinked GPL-2 file.
   * Stop build-depending on quilt, it's not needed with format 3.0 (quilt).
   * Bump Standards-Version 3.9.2.
Checksums-Sha1: 
 910bb5e51d158ceb987861e7c23cb0927cde345e 1305 alsa-oss_1.0.17-5.dsc
 74ca753474d74c335a7c532fc4f666a6df12f439 7019 alsa-oss_1.0.17-5.debian.tar.gz
 3c44d08f730cef2eca285db7b28496bef15ebb9a 34946 alsa-oss_1.0.17-5_amd64.deb
Checksums-Sha256: 
 c68f1812e20e7ae9f60b461a8a9174a1496368eb0c2d26f9bc1fce21f746e1d2 1305 alsa-oss_1.0.17-5.dsc
 6cbade1ca2aa45b4c2763af7549e7ca8796bbe724779badaa79b48cbcbe2f717 7019 alsa-oss_1.0.17-5.debian.tar.gz
 f3b36485e26ab983fe5185bc8c0597b013976d1a42f062eb12f6e3569f73ffe4 34946 alsa-oss_1.0.17-5_amd64.deb
Files: 
 2390ace7005bbf3b45b0b4e882c14276 1305 sound optional alsa-oss_1.0.17-5.dsc
 80cd08196cad3ee6c0db751f720b1b2e 7019 sound optional alsa-oss_1.0.17-5.debian.tar.gz
 d407e7877cca2e1a86d8f332c1eecabd 34946 sound optional alsa-oss_1.0.17-5_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk3wGmUACgkQJYSUupF6Il6UuACg40Rwgln7O00YtKIeu7aWIwJk
aIYAnjEyzh40KSYGsKbydEvVOhjKEK0O
=DQuT
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jul 2011 07:40:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 10:48:52 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.